| Home | Libraries | People | FAQ | More

# Size_IO_Control_Command Class Reference

Inherits IO_Control_Command.

Inheritance diagram for Size_IO_Control_Command:

List of all members.

## Detailed Description

Size_IO_Control_Command concept.

Implemented By:
  boost::asio::socket_base::bytes_readable

## Public Member Functions

| Size_IO_Control_Command ()
| Default constructor initialises size value to 0.
| Size_IO_Control_Command (std::size_t value)
| Construct with a specific command value.
void | set (std::size_t value)
| Set the size value.
std::size_t | get () const
| Get the current size value.
int | name () const
| Get the name of the command.
implementation_defined | data ()
| Get the data associated with the command.
implementation_defined | data () const
| Get the data associated with the command.

## Constructor & Destructor Documentation

Size_IO_Control_Command::Size_IO_Control_Command | ( |  | ) |

Default constructor initialises size value to 0.

Size_IO_Control_Command::Size_IO_Control_Command | ( | std::size_t | value | ) |

Construct with a specific command value.

## Member Function Documentation

void Size_IO_Control_Command::set | ( | std::size_t | value | ) |

Set the size value.

std::size_t Size_IO_Control_Command::get | ( |  | ) | const

Get the current size value.

int IO_Control_Command::name | ( |  | ) | const`[inherited]`

Get the name of the command.

implementation_defined IO_Control_Command::data | ( |  | ) | `[inherited]`

Get the data associated with the command.

implementation_defined IO_Control_Command::data | ( |  | ) | const`[inherited]`

Get the data associated with the command.

| Copyright © 2003 - 2006 Christopher M. Kohlhoff